unit ParamUtils;

interface

function ParamSwitch(S: String; bIgnoreCase : Boolean = true): Boolean;
function ParamValue(S: String; bIgnoreCase : Boolean = true): String;
function ParamIntValue(S: String; def : Integer = -1; bIgnoreCase : Boolean = true): Integer;

implementation

uses
  SysUtils;

function ParamSwitch(S: String; bIgnoreCase : Boolean): Boolean;
var
  I: Integer;
  P: String;
begin
  Result := False ;
  if bIgnoreCase then S := UpperCase(S);
  for I := 0 to ParamCount do begin
    P := ParamStr(I);
    if bIgnoreCase then P := UpperCase(P);
    if (P=S) or (Pos(S+'=',P)=1) then begin
      Result := True ;
      Break;
    end;
  end;
end;

function ParamValue(S: String; bIgnoreCase : Boolean): String;
var
  I : Integer;
  P: String;
begin
  Result := '' ;
  if bIgnoreCase then S := UpperCase(S);
  for I := 0 to ParamCount do begin
    P := ParamStr(I);
    if bIgnoreCase then P := UpperCase(P);
    if (Pos(S+'=',P)<>0) then begin
      Result := Copy(ParamStr(I),Length(S)+2,MaxInt);
      Break;
    end;
  end;
end;

function ParamIntValue(S: String; def : integer; bIgnoreCase : Boolean): Integer;
begin
  Result := StrToIntDef(ParamValue(S, bIgnoreCase), def);
end;

end.
